Get your current IP address
curl --request GET \
--url https://api.orbit.devotel.io/api/v1/settings/ip-allowlist/current-ip \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/settings/ip-allowlist/current-ip"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/settings/ip-allowlist/current-ip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ip": "<string>",
"enforced": true
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Settings
Get your current IP address
Returns your current IP address as the API sees it, plus whether IP-allowlist enforcement is active for your account. Use it to add the correct IP to your allowlist without locking yourself out. ip is null when your IP address cannot be determined; enforced is false when allowlist enforcement is not applied in the current environment.
GET
/
api
/
v1
/
settings
/
ip-allowlist
/
current-ip
Get your current IP address
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
⌘I